from random import randrange

alpha = "ABCDEFGHIKLMNOPQRSTUVWXYZ"

used = [0]*25
parent = ['']*25

for i in range(25):
    j = randrange(25)
    while used[j]:
        j=randrange(25)

    parent[i]=alpha[j];
    used[j]=1

def playfair(a, key): 
    final=[]
    order={}
    for k in range(25):
        order[ key[k] ] = k
    
    for i in range(0,len(a),2):
        ord1 = order[ a[i] ]
        row1 = ord1//5
        col1 = ord1%5

        print(order)
        ord2 = order[ a[i+1] ]
        row2 = ord2//5
        col2 = ord2%5

        if row1==row2:
            ix1 = 5*row1 + (col1+4)%5
            ix2 = 5*row2 + (col2+4)%5
            final.append( key[ix1] )
            final.append( key[ix2] )

        elif col1==col2:
            ix1 = col1 + 5*((row1 + 4)%5)
            ix2 = col2 + 5*((row2 + 4)%5)
            final.append( key[ix1] )
            final.append( key[ix2] )

        else:
            ix1 = 5*row1 + col2
            ix2 = 5*row2 + col1

    return ''.join(final)



if __name__=="__main__":
    with open('level1key1.txt') as f:
        lines = f.readlines()
    line = lines[0]

    print( playfair(line,"DEFCONABGHIKLMPQRSTUVWXYZ") )

