"""
Initial attempt to crack the ios puzzle.
"""
import numpy as np
from pprint import pprint 

p1 = "JK EJRN*U. I*T  G* NRFJNUC QJ QTLU NUEJNC UVUNY QNTI*TDTIQGE QUDULSJIU EJIVUN *TQGJI. FTYHU QSUY'C NUEJNCUC QSG* *U**GJI"
p2 = "WO HJIBSJP HNIY MPO *TOIUBOQ. WO GBQSOI NGWNYQ. UNHO N VJBUO, JTS JM SCO ENEOG JM SJIATOQ, QKONFBIA SJ TQ. BS KGNYOR TQ N HBACSY RTE."
p3 = "IUIMYFCI WTP PIEMIQP. DQ'P ASPQ T BTQQIM FR RDCGDCL F*Q VWTQ QWIY TMI."
p4 = "SHB *GMKPSLJS SH*JO LIKUS QBTUP*SY. QYQSBGQ *QJ's HKW SHBY WKPD, *S'Q HKW SHBY RL *F."

problems = [p1, p2, p3, p4]

for problem in problems:
    freq = {}
    for c in problem:
        if c in freq.keys():
            freq[c] += 1
        else:
            freq[c] = 1
    
    pprint(freq)

substitution = {}
substitution['A'] = 'A'
substitution['B'] = 'B'
substitution['C'] = 'C'
substitution['D'] = 'D'
substitution['E'] = 'E'
substitution['F'] = 'F'
substitution['G'] = 'G'
substitution['H'] = 'H'
substitution['I'] = 'o'
substitution['J'] = 'J'
substitution['K'] = 'K'
substitution['L'] = 'L'
substitution['M'] = 'M'
substitution['N'] = 'a'
substitution['O'] = 'e'
substitution['P'] = 'P'
substitution['Q'] = 'Q'
substitution['R'] = 'R'
substitution['S'] = 'S'
substitution['T'] = 'i'
substitution['U'] = 'U'
substitution['V'] = 'V'
substitution['W'] = 'W'
substitution['X'] = 'X'
substitution['Y'] = 'Y'
substitution['Z'] = 'Z'
                      
for problem in problems:
    pprint( np.mean([len(x) for x in problem.split()]) )

    result = ""
    problemnew = problem
    for c1, c2 in zip(substitution.keys(),substitution.values()):
        problemnew = problemnew.replace(c1,c2)
    print(problemnew)
    print("\n")
    



