## Pianos

Most pianos have 52 white keys and 36 black keys, for 88 total

7 octaves plus minor third, from A0 to C8

Older pianos usually only have 85 keys (seven octaves, A0 to A7)

C major scale:
* C D E F G A B

black keys are for accidentals:
* F#/Gb
* G#/Ab
* A#/Bb
* C#/Db
* D#/Eb



## Perfect Fifth

Perfect fifth: music interval corresponding to pair of pitches with frequency ration of 3:2

Fifth - interval from first to last of five consecutive notes

Perfect fifth P5 - spans seven semitones

Diminished fifth - spans six semitones

Augmented fifth - spans eight semitones

Other perfect tones:
* perfect unison has pitch ratio of 1:1
* perfect octave has pitch ratio of 2:1
* perfect fourth has pitch ratio of 4:3
* perfect fifth has pitch ratio of 3:2

Other tones:
* Partials 1:2 - perfect octave
* Partials 2:3 - perfect fifth
* Partials 3:4 - perfect fourth
* Partials 4:5 - major third
* Partials 5:6 - minor third
* Partials 6:7 - small septimal minor third
* Partials 7:8 - major 2nd



The term fifth defines an interval or mathematical ratio. 

This is the closest interval to the octave.

The fourth is the closest interval to the unison.

The circle of fifths is a sequence of pitches or key tonalities, represented as a circle
Each pitch is seven semitones higher than the last

Moving counterclockwise around the circle gives the circle of fourths
(fourth circle more useful for jazz)



## Diatonic Key Signatures

The citcle is used to represent relationships between diatonic scales

Letters on the circlle represent the major scale with the note as the tonic

Numbers inside the circle show how many sharps or flats the key signature for this scale has.

Thus, a major scale built on A has 3 shaprs in key signature

Major scale built on F has 1 flat

Minor scales - rotate letters counter-clockwise by 3

For every major key, a scale can be built beginning with the sixth degree, with same notes, but different start/end points


## Modulation/Chord Progression

Modulation - moving between adjacent scales on the circle of fifths


## Heinichen's Musical Circle

Musicalischer Circul

1 - C
2 - A
3 - G
4 - E
5 - D
6 - H
7 - A
8 - Fir
9 - e
10 - Cis
11 - H
12 - Gis
13 - Jis
15 - Dis
15 - Cis
16 - B
17 - Gis
18 - F
19 - eDis
20 - C
21 - B
22 - G
23 - F
24 - D


